Name: kamix
Version: 0.5.7
Release: alt1.1

Summary: A KDE mixer application for KDE 3 and ALSA.
License: GPL
Group: Sound
Url: http://kamix.sourceforge.net/
Packager: Dmitriy Porollo <spider@altlinux.ru>

Source0: %name-%version.tar.bz2
Source1: %name.menu
#Source1: %name.menu
Patch0: kamix_autoconf.patch
Patch1: kamix_autoconf_1.patch

# Automatically added by buildreq on Mon Sep 20 2004
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ glib2 kde-settings kdelibs-devel libalsa-devel libarts-devel libarts-qtmcop libjpeg-devel libpng-devel libqt3-devel libstdc++-devel qt3-designer xml-utils zlib-devel

%description
Basically, because there's not a complete one. kmix is the official mixer app for KDE, but it lacks:

    * Support for enumerated items, when the control is not just a volume, but a choice between different elements
    * Support for splitted playback/record volumes: sometimes, an element can have different volumes for playing and recording: kmix doesn't show them all
    * Support for balance: one cannot adjust Left/Right volumes in an independent way
    * You cannot configure what you want to see or not; for 90% of the people, "IEC958" item is useless and correctly hidden, but for someone it may not be

With this, I'm not stating that kmix is not good: it is, indeed, and it works in 95% cases; but, you know, it's a matter of choice :) 

%prep
%setup -q -n %name
%patch0 -p1
%patch1 -p1

%__subst 's/\(-Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g' configure 
%__subst 's/\-lkdeui/-lkdeui -lpthread/g' configure
 
%build
%__subst 's,\.la,\.so,' configure
%configure --disable-rpath --disable-path-check
%set_verify_elf_method textrel=relaxed
%__subst 's,\.la,\.so,' configure
%make_build

%install
make DESTDIR=%buildroot install
#menu
%__mkdir_p %buildroot%_menudir
%__install -pD -m644 %SOURCE1 %buildroot%_menudir/%name

%post
%update_menus

%postun
%clean_menus

%files
%doc AUTHORS ChangeLog README
%_bindir/%name
%_menudir/%name
%_datadir/apps/%name/
%_datadir/applnk/Utilities/kamix.desktop
%doc %_docdir/HTML/en/%name
%_iconsdir/*/*/apps/%name.png
%_iconsdir/hicolor/16x16/actions/green_off.png
%_iconsdir/hicolor/16x16/actions/green_on.png
%_iconsdir/hicolor/16x16/actions/red_off.png
%_iconsdir/hicolor/16x16/actions/red_on.png
%_iconsdir/hicolor/16x16/actions/yellow_off.png
%_iconsdir/hicolor/16x16/actions/yellow_on.png
%_datadir/locale/*/LC_MESSAGES/%name.mo

%changelog
* Thu Jan 20 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.5.7-alt1.1
- Rebuilt with libstdc++.so.6.

* Mon Oct 04 2004 Dmitriy Porollo <spider@altlinux.ru> 0.5.7-alt1
- New Version

* Tue Sep 28 2004 Dmitriy Porollo <spider@altlinux.ru> 0.5.6-alt1
- 0.5.5-alt1 kamix is now single instance, this fixes a multi-run problem seen on SuSE box
- 0.5.5-alt1 OSD has configurable font and colors
- 0.5.5-alt1 Updated de i18n (Andreas)
- 0.5.5-alt1 For those who don't have aRts, a --disable-vumeter configure parameter is available at compile time, to avoid linking to aRts libraries

* Mon Sep 20 2004 Dmitriy Porollo <spider@altlinux.ru> 0.5.5-alt1
- 0.5.5-alt1 Added an OSD-like notifier for mixer changes
- 0.5.5-alt1 When shown in systray, DCOP commands acted only on one channel
- 0.5.5-alt1 When a tab contained no sliders, the vertical label was badly shown (thanks to Andreas Arens for the fix)
- 0.5.5-alt1 Updated hu and it translations
- 0.5.5-alt1 Added de translation (thanks to Andreas)
